let RESPY_YoulaParser = {
    getData : function() {
        return {
            source : this.getSource(),
            native_id : this.getNativeId(),
            allowExtractPhone : this.allowExtractPhone(),
            address : this.getAddress()
        }
    },

    allowExtractPhone : function(){
        return true;
    },

    getSource : function () {
        return 'youla';
    },

    getNativeId : function () {
        let href = window.location.href;
        let matches = href.match(/-([^-]*)$/);
        if(matches[1]) {
            return matches[1];
        }
        return null;
    },

    getRegion : function () {
        // Невозможно явно определить регион
        return null;
    },

    getAddress : function () {
        let data = this._getJsonData();
        if(data) {
            try {
                return data.entities.products[0].location.description;
            } catch (e) {}
        }
        return null;
    },

    _getJsonData : function () {
        let html = $('html').html();
        let matches = html.match(/__YOULA_STATE__ = (.+)<\/script>/ius);
        if(matches[1]) {
            matches = matches[1].match(/(.+?);/ius);
            if(matches[1]) {
                try {
                    let json = JSON.parse(matches[1]);
                    return json;
                } catch (e) {
                    return {};
                }

            }

        }

    }

};